<?php 
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Backup"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1a / October 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

$directory = basename(dirname($_SERVER['PHP_SELF'])); 

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

$dir = CPO_BASEDIR.$activeModules['Backup']['directory'];

// character_set_connection lesen
	$dbm = new DB;
	$dbm->query("SHOW VARIABLES LIKE 'character_set_connection';");
	$dbm->next_record();
	$charSet = $dbm->v('Value');

if ($_REQUEST['action'] && !$bkpbreak)  {
	$activeModules['Backup']['type'] = $_REQUEST['action'];
	$filename = ".".$activeModules['Backup']['type'].".".$_SERVER['HTTP_HOST'].".".date('Y-m-d.H-i-s').".".$charSet.".sql";
	$file = fopen($dir."/files/".$filename, "wb");
		include(CPO_BASEDIR.$activeModules['Backup']['directory'].'/backup.inc.php');
	fclose ($file);
	if ($activeModules['Backup']['gzip']=="yes")  {
		gzcompressfile($dir."/files/".$filename,9);
		unlink ($dir."/files/".$filename);
		$filename = $filename.".gz";
	}
	$message[] = sprintf(__('Backup was performed and saved as <em>%s</em>.'),$activeModules['Backup']['directory']."/files/".$filename);
	include(CPO_BASEDIR.$activeModules['Backup']['directory'].'/sendmail.inc.php');
	if ($activeModules['Backup']['sendMail'] == "yes") $message[] = sprintf(__('Backup file was sent to <em>%s</em>.'),$activeModules['Backup']['recipient']);
} else if (file_exists($dir."/last_backup.dat"))  {
	$last_backup = file_get_contents($dir."/last_backup.dat");
	$message[] = ($last_backup) ? sprintf(__('Last backup was performed on <em>%s</em>.'),date($cpoSystem['date_format'],$last_backup)) : __('No backup perfomed yet!');
}

printPageHeader(
    __('Backup'),
    __('In this view you can execute the bachup actions.'),
	'http://manual.conpresso4.de/backup/application.htm',
	true,
	'modules'
);

include(CPO_BASEDIR.'_include/message.php');
include(CPO_BASEDIR.$activeModules['Backup']['directory'].'/producer.inc.php');

		// table header {{{
        echo '<table class="colored" style="width: 100%;">';
        echo '<thead><tr>';

        echo '<th colspan="2"><span>'.__('Backup actions').'</span></th>';

		echo '</tr></thead><tbody>';
        // }}}

		echo '<tr>';
            echo '<td class="leftrow">';
            echo __('Action:');
            echo '</td>';
            echo '<td class="rightrow">';
            echo sprintf(__('Remember all SQL-files (*.sql, *.sql.gz) in the folder <em>%s/files</em> will be deleted automatically after %s days!'), 
						$activeModules['Backup']['directory'],
						$activeModules['Backup']['days']);
			echo '<br /> <br />';
            if (!$bkpbreak)  {
                echo '<a href="edit.php?action=full">'.__('Perform full backup').' </a><br /> <br />';
                echo '<a href="edit.php?action=tables">'.__('Perform tables only backup').' </a><br />';
                echo '<a href="edit.php?action=data">'.__('Perform data only backup').' </a><br /> <br /> <br />';
            }
            echo __('Starting the restore deletes all existing data! Do not interrupt the process! After starting the restore there is no way back unless tables <b>and</b> data are restored!').'<br />';
            echo '<a href="files/bigdump.php" style="color:#f00;">'.__('Restore data from backup file (bigdump)').' </a>';
            echo '</td>';
		echo '</tr>';

		echo '</tbody></table>';


require(CPO_BASEDIR.'_include/footer.php');
?>
